import { DataSourcePaneImportPlugin, DataSourceType } from './types';
export interface Options {
    importPlugins?: DataSourcePaneImportPlugin[];
    dataSourceTypes: DataSourceType[];
    exportPlugins?: DataSourcePaneImportPlugin[];
}
declare const plugin: {
    (ctx: any, options: Options): {
        name: string;
        width: number;
        dep: any[];
        exports(): {};
        init(): void;
    };
    pluginName: string;
};
export default plugin;
